/* EasyCASE(C++) V5.0 01.10.2012 13:11:44 */
/* EasyCASE O
If=horizontal
LevelNumbers=no
LineNumbers=no
ScreenFont=Arial,,80,8452,-11,0,700,0,0,0,0,0,0,3,2,1,34
PrinterFont=Dutch,,120,17410,-50,0,400,0,0,0,0,0,0,2,1,2,18
LastLevelId=8 */
/* Programm erstellt mit ETS Programmer 4.0 */
/* (Build date 15.03.2012, fr Windows 98 / 2000 / XP) */
/* Copyright (c) ETS Elektrotechnik Steinbichler. */
/* Alle Rechte vorbehalten. */

/* EasyCASE ( 1
Programm: D:\ppro3\tom\lang\lang.C */

/* EasyCASE ( 8
Vereinbarungen */
/* EasyCASE < */

/* Funktionsbibliotheken einbinden */

#include <system.h>        // Systemdefinitionen
#include <ctrlcmd.h>       // Steuerbefehlsbibliothek
#include <sharemem.h>      // globale Systemvariable
#include <modinit.h>      // Moduldefinition
#include <modules\\canmod30.h>      // Moduldefinition
#include <modules\\mod_tmrvalve10.h>      // Moduldefinition
#include <modules\\mod_regutils.h>      // Moduldefinition
#include <modules\\profcomm10.h>      // Moduldefinition


/* Liste aller verwendeten Objekte */

#define AF 1
#define SS 2
#define KF 3
#define KF2 4
#define KF1 5
#define KFR 6
#define WMZ1 7
#define BFO 8
#define BF5 9
#define BFU 10
#define PFO 11
#define PF6 12
#define PF3 13
#define PFU 14
#define VF 15
#define LF 16
#define RF 17
#define KFX 18
#define KFF 19
#define BFU2 20
#define P1B 21
#define P1 22
#define P3L 23
#define W1 24
#define W3V 25
#define W3R 26
#define P2 27
#define PGE1 28
#define PGE2 29
#define E7X 30
#define P7X 31
#define W7U 32
#define E7B 33
#define P22 34
#define HGA 35
#define HGE 36
#define HGF 37
#define PFO_MIN_HK 38
#define PFO_MIN_FBH 39
#define M_HK1 40
#define M_HK2 41
#define U_HK1 42
#define U_HK2 43
#define DIAT1 44
#define DIAN1 45
#define DIAT2 46
#define DIAN2 47
#define KF_MIN 48
#define KF_AUS 49
#define SS_WW_VORR 50
#define PF6_SOLL_S 51
#define PF6_MIN_S 52
#define PFU_AUS_S 53
#define PFU_MAX 54
#define KFF_MIN 55
#define KFF_MAX 56
#define KFFR_SOLL 57
#define PFO_AUS_HYS 58
#define E7X_EINVZG 59
#define E7X_NLZ 60
#define P7X_NLZ 61
#define KFX_MIN 62
#define KFX_MAX 63
#define KFXR_SOLL 64
#define BFU_AUS_S 65
#define HYS1 66
#define BFO_EIN 67
#define BFO_AUS_P 68
#define BFO_AUS_K 69
#define EIN_HYS 70
#define AUS_HYS 71
#define BL_HYS 72
#define BL_HYS_K 73
#define M_BOILER 74
#define U_BOILER 75
#define BF2_AUS 76
#define U_BOILER2 77
#define LF1 78
#define VF1 79
#define VF2 80
#define WGM1 81
#define WGM2 82

/* Liste der eingebundenen Module */

code struct mod_entry modlist[32] =
{
  { &can_callmod, sizeof(struct canmod_vars), "CANBus30", 0x0300, 0xF0 },
  { &tmrv_callmod, sizeof(struct tmrvmod_vars), "TimerValve10", 0x0100, 0xF1 },
  { &regutils_callmod, sizeof(struct regutils_vars), "RegUtils10", 0x0100, 0xF2 },
};


/* Konstanten im Codebereich */

code char appl_name[] = "ep912687        Lang";

code char firm_name[] = " Elektrotechnik Steinbichler ETS";

code char ProgDateStr[] = "   01.10.2012   ";


/* globale Variablen */

#define bit UCHAR

bit am_hk1t;
bit am_hk1n;
bit am_hk1f;
bit am_hk2t;
bit am_hk2n;
bit am_hk2f;
bit at_hg;
bit at_hgf;
bit at_gf1t;
bit at_gf1n;
bit at_gf1f;
bit at_gf2t;
bit at_gf2n;
bit at_gf2f;
bit at_pfo_hk;
bit at_pfo_fbh;
bit as_hk;
bit as_kessel;
xdata int t_hk1;
xdata int t_hk2;
xdata int t_hkx;
bit as_p1;
bit as_sek;
bit as_nur_kessel;
bit at_s;
bit at_pfu_max;
bit as_ss_vorr;
bit at_pfu_aus;
bit at_ss;
xdata int t_zielsol;
xdata int t_vlgef;
xdata int t_kfxr_soll;
bit as_fbk;
bit as_rla;
bit at_pfo_ww;
bit at_e7x_h;
bit ae_e7x;
bit as_awe;
xdata int t_hgef;
bit plmin_sol;
bit as_puf_umg;
bit as_bvs;
bit at_bvok;
bit at_solbegr;
bit am_boiler;
bit at_boiler;
bit as_blp;
xdata int t_vlb;

/* Ende der globalen Variablen */

/* EasyCASE > */
/* EasyCASE ) */


/* Ab hier sind alle Module abgelegt, die im Programm "lang.hss" verwendet werden. */


/* Modul: "OBJECTS.MOD" */

/* EasyCASE(C++) V5.0 30.06.2011 09:36:43 */
/* EasyCASE O
If=horizontal
LevelNumbers=no
LineNumbers=no
ScreenFont=Arial,,80,8452,-11,0,700,0,0,0,0,0,0,3,2,1,34
PrinterFont=Arial,,100,6,-52,0,400,0,0,0,0,0,0,3,2,1,34
LastLevelId=1 */

/* EasyCASE ( 1
   Objektliste (E/As) */
/* OBJECTS AF, SS, KF, KF2, KF1, KFR, WMZ1, BFO, BF5,
BFU, PFO, PF6, PF3, PFU, VF, LF, RF, KFX, KFF, BFU2, LF1,
VF1, VF2,
P1B, P1, P3L, W1, W3V, W3R, P2, PGE1, PGE2, E7X, P7X,
W7U, E7B, P22, WGM1, WGM2 */
/* EasyCASE ) */
//
// Ende von "OBJECTS.MOD"

//
/* Modul: "2KREISE.MOD" */

/* EasyCASE(C++) V5.0 30.06.2011 10:52:28
30.06.2011; Heizkreise mit Mischer und Vorlauffhler erweitert. */
/* EasyCASE O
If=horizontal
LevelNumbers=no
LineNumbers=no
ScreenFont=MS Sans Serif,,70,-23295,-12,0,700,0,0,0,0,0,0,1,2,1,34
PrinterFont=Arial,,80,16646,-33,0,700,0,0,0,0,0,0,3,2,1,34
LastLevelId=62 */

/* EasyCASE ( 1
   2 Heizkreise */
/* OBJECTS HGA, HGE, HGF, PFO_MIN_HK, PFO_MIN_FBH,
M_HK1, M_HK2,
U_HK1, U_HK2,
DIAT1, DIAN1, DIAT2, DIAN2 */

/* EasyCASE F */
void HEIZUNG (void)
   {
   extern bit am_hk1t, am_hk1n, am_hk1f,
   am_hk2t, am_hk2n, am_hk2f,
   at_hg, at_hgf, at_gf1t, at_gf1n, at_gf1f,
   at_gf2t, at_gf2n, at_gf2f, at_pfo_hk, at_pfo_fbh,
   as_hk, as_kessel;
   extern int t_hk1, t_hk2, t_hkx;

   /* EasyCASE ( 46
      Temperaturanforderungen */
   if (w(AF) <= w(HGE))
      {
      at_hg = TRUE;
      }
   else
      {
      if (w(AF) >= w(HGA))
         {
         at_hg = FALSE;
         }
      }
   if (w(AF) < w(HGF))
      {
      at_hgf = TRUE;
      }
   else
      {
      at_hgf = FALSE;
      }
   if (w(PFO) >= w(PFO_MIN_HK))
      {
      at_pfo_hk = TRUE;
      }
   else
      {
      if (w(PFO) <= w(PFO_MIN_HK)-3)
         {
         at_pfo_hk = FALSE;
         }
      }
   if (w(PFO) >= w(PFO_MIN_FBH))
      {
      at_pfo_fbh = TRUE;
      }
   else
      {
      if (w(PFO) <= w(PFO_MIN_FBH)-3)
         {
         at_pfo_fbh = FALSE;
         }
      }
   at_gf1t = TRUE; /* kein Raumfhler GF1 */
   at_gf1n = TRUE;
   at_gf1f = TRUE;
   /* EasyCASE - */
   at_gf2t = TRUE; /* kein Raumfhler GF2 */
   at_gf2n = TRUE;
   at_gf2f = TRUE;
   /* EasyCASE ) */

   /* EasyCASE ( 42
      Heizbetrieb Kreis 1 */
   if (w(M_HK1) == AUTO_TAG_NACHT)
      {
      if (w(U_HK1))
         {
         am_hk1t = TRUE;
         am_hk1n = FALSE;
         am_hk1f = FALSE;
         }
      else
         {
         am_hk1t = FALSE;
         am_hk1n = TRUE;
         am_hk1f = FALSE;
         }
      }
   if (w(M_HK1) == AUTO_TAG_AUS)
      {
      if (w(U_HK1))
         {
         am_hk1t = TRUE;
         am_hk1n = FALSE;
         am_hk1f = FALSE;
         }
      else
         {
         am_hk1t = FALSE;
         am_hk1n = FALSE;
         am_hk1f = FALSE;
         }
      }
   if (w(M_HK1) == TAGBETRIEB)
      {
      am_hk1t = TRUE;
      am_hk1n = FALSE;
      am_hk1f = FALSE;
      }
   if (w(M_HK1) == NACHTBETRIEB)
      {
      am_hk1t = FALSE;
      am_hk1n = TRUE;
      am_hk1f = FALSE;
      }
   if (w(M_HK1) == FROSTBETRIEB)
      {
      am_hk1t = FALSE;
      am_hk1n = FALSE;
      am_hk1f = TRUE;
      }
   if (w(M_HK1) == HAND_AUS)
      {
      am_hk1t = FALSE;
      am_hk1n = FALSE;
      am_hk1f = FALSE;
      }
   /* EasyCASE ) */

   /* EasyCASE ( 44
      Heizungsregelung Kreis 1 */
   if (am_hk1t)
      {
      if (at_hg && at_gf1t)
         {
         t_hk1 = w(DIAT1);
         }
      else
         {
         t_hk1 = 0;
         }
      }
   else
      {
      if (am_hk1n)
         {
         if (at_hg && at_gf1n)
            {
            t_hk1 = w(DIAN1);
            }
         else
            {
            t_hk1 = 0;
            }
         }
      else
         {
         if (am_hk1f)
            {
            if (at_hgf && at_gf1f)
               {
               t_hk1 = w(DIAN1);
               }
            else
               {
               t_hk1 = 0;
               }
            }
         else
            {
            t_hk1 = 0;
            }
         }
      }
   if (t_hk1 > 0)
      {
      if (at_pfo_hk || as_kessel || as_p1)
         {
         ein (PGE1);
         /* EasyCASE - */
         reg_aufzu(WGM1,w(VF1),t_hk1,-1,0,0,1,15,10,5);
         }
      else
         {
         aus (PGE1);
         /* EasyCASE - */
         zu (WGM1);
         }
      }
   else
      {
      schutz (PGE1);
      /* EasyCASE - */
      schutz (WGM1);
      }
   /* EasyCASE ) */

   /* EasyCASE ( 51
      Heizbetrieb Kreis 2 */
   if (w(M_HK2) == AUTO_TAG_NACHT)
      {
      if (w(U_HK2))
         {
         am_hk2t = TRUE;
         am_hk2n = FALSE;
         am_hk2f = FALSE;
         }
      else
         {
         am_hk2t = FALSE;
         am_hk2n = TRUE;
         am_hk2f = FALSE;
         }
      }
   if (w(M_HK2) == AUTO_TAG_AUS)
      {
      if (w(U_HK2))
         {
         am_hk2t = TRUE;
         am_hk2n = FALSE;
         am_hk2f = FALSE;
         }
      else
         {
         am_hk2t = FALSE;
         am_hk2n = FALSE;
         am_hk2f = FALSE;
         }
      }
   if (w(M_HK2) == TAGBETRIEB)
      {
      am_hk2t = TRUE;
      am_hk2n = FALSE;
      am_hk2f = FALSE;
      }
   if (w(M_HK2) == NACHTBETRIEB)
      {
      am_hk2t = FALSE;
      am_hk2n = TRUE;
      am_hk2f = FALSE;
      }
   if (w(M_HK2) == FROSTBETRIEB)
      {
      am_hk2t = FALSE;
      am_hk2n = FALSE;
      am_hk2f = TRUE;
      }
   if (w(M_HK2) == HAND_AUS)
      {
      am_hk2t = FALSE;
      am_hk2n = FALSE;
      am_hk2f = FALSE;
      }
   /* EasyCASE ) */

   /* EasyCASE ( 54
      Heizungsregelung Kreis 2 */
   if (am_hk2t)
      {
      if (at_hg && at_gf2t)
         {
         t_hk2 = w(DIAT2);
         }
      else
         {
         t_hk2 = 0;
         }
      }
   else
      {
      if (am_hk2n)
         {
         if (at_hg && at_gf2n)
            {
            t_hk2 = w(DIAN2);
            }
         else
            {
            t_hk2 = 0;
            }
         }
      else
         {
         if (am_hk2f)
            {
            if (at_hgf && at_gf2f)
               {
               t_hk2 = w(DIAN2);
               }
            else
               {
               t_hk2 = 0;
               }
            }
         else
            {
            t_hk2 = 0;
            }
         }
      }
   if (t_hk2 > 0)
      {
      if (at_pfo_fbh || as_kessel || as_p1)
         {
         ein (PGE2);
         /* EasyCASE - */
         reg_aufzu(WGM2,w(VF2),t_hk2,-1,0,0,1,15,10,5);
         }
      else
         {
         aus (PGE2);
         /* EasyCASE - */
         zu (WGM2);
         }
      }
   else
      {
      schutz (PGE2);
      /* EasyCASE - */
      schutz (WGM2);
      }
   /* EasyCASE ) */

   /* EasyCASE ( 56
      Statusbit fr "Heizung luft" */
   as_hk = w(PGE1) || w(PGE2);
   /* EasyCASE ) */

   /* EasyCASE ( 57
      aktuell hchstgeforderte VT */
   t_hkx = max2 (t_hk1, t_hk2);
   /* EasyCASE ) */
   }
/* EasyCASE ) */
//
// Ende von "2KREISE.MOD"

//
/* Modul: "5WEGV2.MOD" */

/* EasyCASE(C++) V5.0 17.09.2012 11:15:09
21.01.10: Taktung fr P1 ab einstellb. Einstahlg. eingebaut. 
30.06.2011; Bei Kollbertemp. Taktung gesperrt. KF durch KF2 ersetzt. */
/* EasyCASE O
If=horizontal
LevelNumbers=no
LineNumbers=no
ScreenFont=MS Sans Serif,,80,-23295,-11,0,700,0,0,0,0,0,0,1,2,1,34
PrinterFont=Arial,,80,16646,-33,0,700,0,0,0,0,0,0,3,2,1,34
LastLevelId=53 */

/* EasyCASE ( 1
   Objekte  Komponenten fr
   5-Wegventil-Systeme */
/* OBJECTS KF_MIN, KF_AUS, SS_WW_VORR,
PF6_SOLL_S, PF6_MIN_S, PFU_AUS_S, PFU_MAX */

/* EasyCASE F */
void SOLAR_5WEGE (void)
   {
   extern bit as_p1, as_sek, as_nur_kessel,
          as_hk, as_kessel, at_s, at_pfu_max,
          as_ss_vorr, at_pfu_aus, at_ss;
   extern int t_zielsol, t_vlgef, t_kfxr_soll;

   /* EasyCASE ( 53
      hg. Vorlauftemp. bernehmen */
   t_vlgef = max2(t_hkx, t_vlb); // hchstgef. Temperatur aller Kreise
   /* EasyCASE ) */

   /* EasyCASE ( 24
      Sicherheit */
   if (w(KF2) >= w(KF_MIN))
      {
      if (!w(P1))
         {
         if (w(KF2) < w(KF_AUS)-2)
            {
            at_ss = FALSE;
            if (w(KF2) > w(KFR))
               {
               at_s=TRUE;
               }
            else
               {
               at_s=FALSE;
               }
            }
         else
            {
            if (w(KF2) >= w(KF_AUS))
               {
               at_s=FALSE;
               /* EasyCASE - */
               at_ss = TRUE;
               }
            }
         }
      else
         {
         if (w(KF2) >= w(KF_AUS))
            {
            at_s=FALSE;
            /* EasyCASE - */
            at_ss = TRUE;
            }
         }
      }
   else
      {
      at_s=FALSE;
      /* EasyCASE - */
      at_ss = FALSE;
      }
   if (w(PFU) >= w(PFU_MAX))
      {
      at_pfu_max=TRUE;
      }
   else
      {
      if (w(PFU) <= w(PFU_MAX) - 3)
         {
         at_pfu_max=FALSE;
         }
      }
   /* EasyCASE ) */

   /* EasyCASE ( 40
      Temperaturanforderungen */
   if (w(PFU) <= w(PFU_AUS_S) - 3)
      {
      at_pfu_aus=FALSE;
      }
   else
      {
      if (w(PFU) >= w(PFU_AUS_S))
         {
         at_pfu_aus=TRUE;
         }
      }
   if (w(KF2) > 4 && w(KF2) < 150)
      {
      if (w(SS) > w(SS_WW_VORR))
         {
         as_ss_vorr = TRUE;
         }
      else
         {
         if (w(SS) < w(SS_WW_VORR) - 50)
            {
            as_ss_vorr = FALSE;
            }
         }
      }
   else
      {
      as_ss_vorr = FALSE;
      }
   /* EasyCASE ) */

   /* EasyCASE ( 25
      P101 */
   if (!as_hk)
      {
      if (w(KF2) >= w(PFU) + 6)
         {
         as_p1 = TRUE;
         }
      else
         {
         if (w(KF2) <= w(PFU) + 3)
            {
            as_p1 = FALSE ;
            }
         }
      }
   else
      {
      if (w(KF2) >= w(RF) + 6)
         {
         as_p1 = TRUE;
         }
      else
         {
         if (w(KF2) <= w(RF) + 3)
            {
            as_p1 = FALSE;
            }
         }
      }
   if (!at_ss)
      {
      if (at_s && (!as_bvs || at_solbegr))
         {
         if (as_p1)
            {
            if (as_hk)
               {
               if (t_vlgef < w(PF6_MIN_S))
                  {
                  t_zielsol=w(PF6_MIN_S);
                  }
               else
                  {
                  t_zielsol=t_vlgef;
                  }
               }
            else
               {
               t_zielsol=w(PF6_SOLL_S);
               }
            }
         else
            {
            t_zielsol=0;
            }
         }
      else
         {
         t_zielsol=0;
         }
      }
   else
      {
      t_zielsol=0;
      }
   if (t_zielsol > 0)
      {
      set_stimer (0, 0);
      /* EasyCASE - */
      set_mtimer (1, 0);
      if (!at_pfu_max)
         {
         if (!at_pfu_aus)
            {
            if (at_solbegr)
               {
               reg (P1, w(KF2), w(BFU_AUS_S) + 10, 1,
                    4, 15, 1, 10);
               }
            else
               {
               reg (P1, w(KF2), t_zielsol + 5, 1,
                    4, 15, 1, 10);
               }
            }
         else
            {
            if (w(KF2) >= 110)
               {
               reg (P1, w(KF2), w(PFU), 1,
                    4, 15, 1, 10);
               }
            else
               {
               aus (P1);
               }
            }
         }
      else
         {
         aus (P1);
         }
      }
   else
      {
      if (!at_ss)
         {
         if (as_ss_vorr)
            {
            if (sec_timer [0] < 120)
               {
               ein (P1);
               /* EasyCASE - */
               set_mtimer (1, 0);
               }
            else
               {
               aus (P1);
               if (min_timer [1] > 10)
                  {
                  set_stimer (0, 0);
                  }
               }
            }
         else
            {
            aus (P1);
            /* EasyCASE - */
            set_mtimer (1, 0);
            /* EasyCASE - */
            set_stimer (0, 0);
            }
         }
      else
         {
         aus (P1);
         /* EasyCASE - */
         set_mtimer (1, 0);
         /* EasyCASE - */
         set_stimer (0, 0);
         }
      }
   /* EasyCASE ) */

   /* EasyCASE ( 26
      P3L01 */
   if (w(P1))
      {
      if (t_vlgef > 0)
         {
         if (w(KFR) > w(RF))
            {
            as_sek = TRUE;
            }
         else
            {
            as_sek = FALSE;
            }
         }
      else
         {
         as_sek = TRUE;
         }
      }
   else
      {
      as_sek = FALSE;
      }
   if (as_sek)
      {
      if (w(W1))
         {
         aus(P3L);
         }
      else
         {
         if (w(LF) >= 95)
            {
            reg(P3L,
            w(LF),93,
            1, 4, 10, 1, 10);
            }
         else
            {
            if (w(KF2) >= 100)
               {
               reg(P3L,
               w(KF2),98,
               1, 4, 10, 1, 10);
               }
            else
               {
               #ifdef _KFR
               if (at_solbegr)
                  {
                  reg(P3L,
                  w(KF2),w(BFU_AUS_S),
                  1, 4, 10, 1, 10);
                  }
               else
                  {
                  if (as_hk)
                     {
                     if (w(KFR) > w(RF) + 15)
                        {
                        reg(P3L,
                        w(KFR),w(RF)+13,
                        1, 4, 10, 1, 10);
                        }
                     else
                        {
                        reg(P3L,
                        w(LF),t_zielsol+2,
                        1, 4, 10, 1, 10);
                        }
                     }
                  else
                     {
                     if (w(KFR) > w(PFU) + 15)
                        {
                        reg(P3L,
                        w(KFR),w(PFU)+13,
                        1, 4, 10, 1, 10);
                        }
                     else
                        {
                        reg(P3L,
                        w(LF),t_zielsol+2,
                        1, 4, 10, 1, 10);
                        }
                     }
                  }
               #else
               /* EasyCASE - */
               reg(P3L,
               w(LF),t_zielsol+2,
               1, 4, 10, 1, 10);
               /* EasyCASE - */
               #endif
               }
            }
         }
      }
   else
      {
      aus(P3L);
      }
   /* EasyCASE ) */

   /* EasyCASE ( 47
      W1 */
   if (w(P1))
      {
      if (t_vlgef > 0)
         {
         if (w(PFU) > t_vlgef)
            {
            ein(W1);
            }
         else
            {
            if (w(KF2) > w(VF)+5)
               {
               aus(W1);
               }
            else
               {
               if (w(KF2) < w(RF)+4)
                  {
                  ein(W1);
                  }
               }
            }
         }
      else
         {
         aus(W1);
         }
      }
   else
      {
      schutz(W1);
      }
   /* EasyCASE ) */

   /* EasyCASE ( 27
      W3R01 */
   if (w(LF) <= w(PFU))
      {
      stell(W3R,0);
      }
   else
      {
      if (w(LF) > w(PFO) + 1)
         {
         stell(W3R,162);
         }
      else
         {
         if (w(LF) < w(PFO) && w(LF) > w(PF6)+1)
            {
            stell(W3R,108);
            }
         else
            {
            if (w(LF) < w(PF6) && w(LF) > w(PF3)+1)
               {
               stell(W3R,54);
               }
            }
         }
      }
   /* EasyCASE ) */

   /* EasyCASE ( 28
      W3V01 */
   as_nur_kessel = as_kessel && !as_hk;
   if (t_vlgef > 0)
      {
      reg (W3V, w(VF), t_vlgef,
      -1, 0, 0, 1, 30);
      }
   else
      {
      if (as_nur_kessel)
         {
         reg (W3V, 
         w(VF), t_kfxr_soll,
         -1, 0, 0, 1, 30);
         }
      else
         {
         stell (W3V, 0);
         }
      }
   /* EasyCASE ) */
   }
/* EasyCASE ) */
//
// Ende von "5WEGV2.MOD"

//
/* Modul: "FBK_V1.MOD" */

/* EasyCASE(C++) V5.0 21.01.2010 10:31:46 */
/* EasyCASE O
If=horizontal
LevelNumbers=no
LineNumbers=no
ScreenFont=Arial,,80,8452,-11,0,700,0,0,0,0,0,0,3,2,1,34
PrinterFont=Arial,,100,6,-52,0,400,0,0,0,0,0,0,3,2,1,34
LastLevelId=26 */

/* EasyCASE ( 1
   Feststoffkessel ohne Entleerung,
   nur 1 Kesselpumpe P7X in einem 5-Wege-System */
/* OBJECTS KFF_MIN, KFF_MAX, KFFR_SOLL */

/* EasyCASE F */
void FKESSEL (void)
   {
   extern bit as_fbk, as_rla, as_kessel;
   extern int t_kfxr_soll;

   /* EasyCASE ( 22
      Betriebssteuerung */
   if (w(KFF) >= w(KFF_MAX))
      {
      as_fbk = TRUE;
      as_rla = TRUE;
      }
   else
      {
      if (w(KFF) <= w(KFF_MIN) - 5)
         {
         as_fbk = FALSE;
         as_rla = FALSE;
         }
      else
         {
         if (w(KFF) < w(PFO))
            {
            as_fbk = FALSE;
            as_rla = FALSE;
            }
         else
            {
            if (w(KFF) >= w(KFF_MIN))
               {
               if (w(KFF) > w(PFO))
                  {
                  as_fbk = TRUE;
                  as_rla = TRUE;
                  }
               }
            }
         }
      }
   if (as_fbk)
      {
      t_kfxr_soll = w(KFFR_SOLL);
      }
   as_kessel = as_awe || as_fbk;
   /* EasyCASE ) */
   }
/* EasyCASE ) */
//
// Ende von "FBK_V1.MOD"

//
/* Modul: "AWEANF51.MOD" */

/* EasyCASE(C++) V5.0 21.01.2010 10:49:15 */
/* EasyCASE O
If=horizontal
LevelNumbers=no
LineNumbers=no
ScreenFont=Arial,,80,8452,-11,0,700,0,0,0,0,0,0,3,2,1,34
PrinterFont=Arial,,100,6,-52,0,400,0,0,0,0,0,0,3,2,1,34
LastLevelId=27 */

/* EasyCASE ( 1
   Anforderung fr automatischen Wrmeerzeuger */
/* OBJECTS PFO_AUS_HYS, E7X_EINVZG,
E7X_NLZ, P7X_NLZ, KFX_MIN, KFX_MAX, KFXR_SOLL */

/* EasyCASE F */
void AWE_ANFORD (void)
   {
   extern bit at_pfo_ww, at_e7x_h,
              ae_e7x, as_awe,
              as_fbk;
   extern int t_hgef, t_kfxr_soll;

   /* EasyCASE ( 22
      hchstgef. VT ermitteln */
   t_hgef = max2(t_hkx, t_vlb); // hchstgef. VT aller Kreise
   /* EasyCASE ) */

   /* EasyCASE ( 17
      Anforderung von der Heizung */
   if (t_hgef > 0)
      {
      if (w(PFO) >= t_hgef + w(PFO_AUS_HYS))
         {
         at_e7x_h = FALSE;
         }
      else
         {
         if (w(P1))
            {
            if (w(LF) < t_hgef)
               {
               if (w(PFO) < t_hgef)
                  {
                  at_e7x_h = TRUE;
                  }
               }
            }
         else
            {
            if (w(PFO) < t_hgef)
               {
               at_e7x_h = TRUE ;
               }
            }
         }
      }
   else
      {
      at_e7x_h = FALSE;
      }
   /* EasyCASE ) */

   /* EasyCASE ( 18
      Wrmeerzeuger / Pumpe */
   ae_e7x = at_e7x_h;
   if (!(SystemState & INIT_IN_5MINS))
      {
      if (ae_e7x)
         {
         if (w(P1))
            {
            vzg_ein (E7X, w(E7X_EINVZG) * 60);
            }
         else
            {
            ein(E7X);
            }
         }
      else
         {
         nlz_aus (E7X, w(E7X_NLZ)*60);
         }
      }
   else
      {
      aus (E7X);
      }
   if (w(KFX) >= w(KFX_MAX))
      {
      as_awe=TRUE;
      }
   else
      {
      if (w(KFX) <= w(KFX_MIN) - 5)
         {
         as_awe=FALSE;
         }
      else
         {
         if (w(KFX) < w(PFO))
            {
            as_awe=FALSE;
            }
         else
            {
            if (w(KFX) >= w(KFX_MIN))
               {
               if (w(KFX) > w(PFO))
                  {
                  as_awe=TRUE;
                  }
               }
            }
         }
      }
   if (as_fbk)
      {
      reg_absf (P7X, wf(KFF),
      wf(KFF_MIN)-10, 1, 20);
      }
   else
      {
      if (as_awe)
         {
         reg_absf (P7X, wf(KFX),
         wf(KFX_MIN)-10, 1, 20);
         }
      else
         {
         nlz_aus (P7X, w(P7X_NLZ)*60);
         }
      }
   if (as_awe)
      {
      t_kfxr_soll = w(KFXR_SOLL);
      }
   if (as_fbk)
      {
      aus(W7U);
      }
   else
      {
      if (as_awe)
         {
         ein(W7U);
         }
      else
         {
         nlz_aus (W7U, w(P7X_NLZ)*60);
         }
      }
   /* EasyCASE ) */
   }
/* EasyCASE ) */
//
// Ende von "AWEANF51.MOD"

//
/* Modul: "BOIVOR5W.MOD" */

/* EasyCASE(C++) V5.0 01.10.2012 13:08:22
Modul fr 5-Wegventil-Systeme, Version 1.0
(C)opyright by t.i., erstellt am: 9.9.97, l.nd.:16.9.97
Modulname: 5wegsys1.mod */
/* EasyCASE O
If=horizontal
LevelNumbers=no
LineNumbers=no
ScreenFont=MS Sans Serif,,80,-23295,-11,0,700,0,0,0,0,0,0,1,2,1,34
PrinterFont=Arial,,80,16646,-33,0,700,0,0,0,0,0,0,3,2,1,34
LastLevelId=10 */

/* EasyCASE ( 1
   Objekte  Komponenten fr
   5-Wegventil-Systeme */
/* OBJECTS BFU_AUS_S, HYS1 */

/* EasyCASE F */
void BVORR_SOLAR (void)
   {
   extern bit as_p1, as_sek, plmin_sol, as_puf_umg, as_nur_kessel,
          as_hk, as_fbk, as_bvs, at_bvok, at_solbegr;

   /* EasyCASE ( 10
      Boilervorrang Solar */
   if (at_s)
      {
      if (w(KF2) >= w(BFU) + w(EIN_HYS))
         {
         at_bvok=TRUE;
         }
      else
         {
         if (w(KF2) <= w(BFU) + w(AUS_HYS))
            {
            at_bvok=FALSE;
            }
         }
      }
   else
      {
      at_bvok=FALSE;
      }
   if (at_bvok)
      {
      if (w(BF5) <= w(BFU_AUS_S) - 6)
         {
         as_bvs=TRUE;
         }
      else
         {
         if (w(BFU) >= w(BFU_AUS_S))
            {
            as_bvs=FALSE;
            }
         }
      }
   else
      {
      as_bvs=FALSE;
      }
   if (!at_ss)
      {
      if (as_bvs)
         {
         if (w(KF2) >= w(BFU_AUS_S) + w(HYS1))
            {
            at_solbegr=TRUE;
            }
         else
            {
            if (w(KF2) < w(BFU) + w(HYS1))
               {
               at_solbegr=FALSE;
               }
            }
         reg(P1B,w(KF2),w(BFU)+10,1,4,10,1,10);
         }
      else
         {
         at_solbegr=FALSE;
         aus(P1B);
         }
      }
   else
      {
      at_solbegr=FALSE;
      aus(P1B);
      }
   /* EasyCASE ) */
   }
/* EasyCASE ) */
//
// Ende von "BOIVOR5W.MOD"

//
/* Modul: "BNL5WEG.MOD" */

/* EasyCASE(C++) V5.0 21.01.2010 10:48:47 */
/* EasyCASE O
If=horizontal
LevelNumbers=no
LineNumbers=no
ScreenFont=MS Sans Serif,,80,-23295,-11,0,700,0,0,0,0,0,0,1,2,1,34
PrinterFont=Arial,,80,16646,-33,0,700,0,0,0,0,0,0,3,2,1,34
LastLevelId=8 */

/* EasyCASE ( 1
   Boilernachladung mit Puffer */
/* OBJECTS BFO_EIN, BFO_AUS_P, BFO_AUS_K,
EIN_HYS, AUS_HYS, BL_HYS, BL_HYS_K,
M_BOILER,
U_BOILER */

/* EasyCASE F */
void BOINALAP (void)
   {
   extern bit am_boiler, at_boiler, as_blp, at_pfu_max;
   extern int t_vlb;

   /* EasyCASE ( 2
      Modus */
   if (w(M_BOILER) == AUTO_EIN_AUS)
      {
      if (w(U_BOILER))
         {
         am_boiler = TRUE;
         }
      else
         {
         am_boiler = FALSE;
         }
      }
   if (w(M_BOILER) == HAND_EIN)
      {
      am_boiler = TRUE;
      }
   if (w(M_BOILER) == HAND_AUS)
      {
      am_boiler = FALSE;
      }
   /* EasyCASE ) */

   /* EasyCASE ( 5
      Temperaturanforderungen */
   if (!as_kessel)
      {
      if (w(BF5) <= w(BFO_EIN))
         {
         at_boiler = TRUE;
         }
      else
         {
         if (w(BF5) >= w(BFO_AUS_P))
            {
            at_boiler = FALSE;
            }
         }
      }
   else
      {
      if (w(BF5) <= w(BFO_AUS_K) - 6)
         {
         at_boiler = TRUE;
         }
      else
         {
         if (w(BF5) >= w(BFO_AUS_K))
            {
            at_boiler = FALSE;
            }
         }
      }
   /* EasyCASE ) */

   /* EasyCASE ( 4
      Boilernachladung */
   if (am_boiler)
      {
      if (at_boiler)
         {
         if (as_kessel)
            {
            as_blp = TRUE;
            }
         else
            {
            if (w(PFO) >= w(BF5) + w(EIN_HYS))
               {
               as_blp = TRUE;
               }
            else
               {
               if (w(PFO) <= w(BF5) + w(AUS_HYS))
                  {
                  as_blp = FALSE;
                  }
               }
            }
         }
      else
         {
         as_blp = FALSE;
         }
      }
   else
      {
      as_blp = FALSE;
      }
   if (as_blp)
      {
      if (as_kessel)
         {
         t_vlb = w(BFO_AUS_K) + w(BL_HYS_K);
         }
      else
         {
         if (w(BF5) < w(BFO_AUS_P) - 10)
            {
            t_vlb = w(BFO_AUS_P) + w(BL_HYS);
            }
         else
            {
            t_vlb = w(BF5) + w(BL_HYS);
            }
         }
      }
   else
      {
      t_vlb = 0;
      }
   /* EasyCASE ) */

   /* EasyCASE ( 8
      Boilerladepumpe */
   if (as_blp)
      {
      if (as_kessel)
         {
         ein(P2);
         }
      else
         {
         reg_absf (P2, wf(PFO), wf(BFO) + 5, 1, 5);
         }
      }
   else
      {
      aus(P2);
      }
   /* EasyCASE ) */
   }
/* EasyCASE ) */
//
// Ende von "BNL5WEG.MOD"

//
/* Modul: "E_BOILER.MOD" */

/* EasyCASE(C++) V5.0 21.01.2010 10:47:59 */
/* EasyCASE O
If=horizontal
LevelNumbers=no
LineNumbers=no
ScreenFont=MS Sans Serif,,80,-23295,-11,0,700,0,0,0,0,0,0,1,2,1,34
PrinterFont=Arial,,80,16646,-33,0,700,0,0,0,0,0,0,3,2,1,34
LastLevelId=12 */

/* EasyCASE ( 1
   Zusatz: Laden des E-Boilers */
/* OBJECTS BF2_AUS,
U_BOILER2 */

/* EasyCASE F */
void BOINALAP2 (void)
   {

   /* EasyCASE ( 5
      E-Boiler vom Puffer nachladen */
   if (w(BFO) >= w(BFU2) + 3)
      {
      ein(P22);
      }
   else
      {
      if (w(BFO) < w(BFU2) + 2)
         {
         aus(P22);
         }
      }
   /* EasyCASE ) */

   /* EasyCASE ( 12
      E-Boilerladung mit Heizpatrone */
   if (w(U_BOILER2) && !w(P22))
      {
      if (w(BFU2) < w(BF2_AUS) - 3)
         {
         ein(E7B);
         }
      else
         {
         if (w(BFU2) >= w(BF2_AUS))
            {
            aus(E7B);
            }
         }
      }
   else
      {
      aus(E7B);
      }
   /* EasyCASE ) */
   }
/* EasyCASE ) */
//
// Ende von "E_BOILER.MOD"

//
void init_regprog (void)
{
// Pointer auf erstes Objekt
amount_ext = 0;
}

void reg_prog (void)
{
HEIZUNG ();
SOLAR_5WEGE ();
FKESSEL ();
AWE_ANFORD ();
BVORR_SOLAR ();
BOINALAP ();
BOINALAP2 ();
}


/* Ende des Programmfiles */
/* EasyCASE ) */

